Skip to content
SENS Platform Docs

List tenant-owned telemetry flows.

GET
/v1/tenants/{tenantNumber}/flows
curl --request GET \
--url 'https://api.dev.iot-sens.schlossers.at/v1/tenants/1/flows?limit=25' \
--header 'Authorization: Bearer <token>'
tenantNumber
required
integer format: int32
>= 1 <= 2147483647
deviceTypeId
string format: uuid
q
string
<= 100 characters
cursor
string
<= 512 characters

Opaque continuation token; reuse the original filters and scope.

limit
integer
default: 25
Allowed values: 25 50 100

Counted Flow cursor page from one authorized database snapshot.

Media typeapplication/json
object
items
required
Array<object>
object
flowId
required
string format: uuid
tenantId
required
string format: uuid
deviceTypeId
required
string format: uuid
deviceTypeName
required
string
>= 1 characters <= 200 characters
key
required
string
/^[a-z0-9][a-z0-9_-]{0,63}$/
name
required
string
>= 1 characters <= 200 characters
description
required
string
<= 1000 characters
activeVersionId
required
One of:
string format: uuid
activeVersionNumber
required
integer | null
>= 1
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
nextCursor
string
totalCount
required
integer
Examplegenerated
{
"items": [
{
"flowId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"deviceTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"deviceTypeName": "example",
"key": "example",
"name": "example",
"description": "example",
"activeVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"activeVersionNumber": 1,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
],
"nextCursor": "example",
"totalCount": 1
}

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store